ParserUtils (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class ParserUtils

- java.lang.Object
- - org.apache.orc.impl.ParserUtils

-     public class ParserUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ParserUtils.StringPosition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MaskDescriptionImpl` | `buildMaskDescription(String value)`
    `static TypeDescription` | `findSubtype(TypeDescription schema, ParserUtils.StringPosition source)`
    `static TypeDescription` | `findSubtype(TypeDescription schema, ParserUtils.StringPosition source, boolean isSchemaEvolutionCaseAware)`
    `static List<TypeDescription>` | `findSubtypeList(TypeDescription schema, ParserUtils.StringPosition source)`
    `static void` | `parseKeys(ParserUtils.StringPosition source, TypeDescription schema)` Annotate the given schema with the encryption information.
    `static void` | `parseMasks(ParserUtils.StringPosition source, TypeDescription schema)` Annotate the given schema with the masking information.
    `static TypeDescription` | `parseType(ParserUtils.StringPosition source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserUtils

          public ParserUtils()

  - ### Method Detail

    - #### parseType

          public static TypeDescription parseType(ParserUtils.StringPosition source)

    - #### findSubtype

          public static TypeDescription findSubtype(TypeDescription schema,
                                                    ParserUtils.StringPosition source)

    - #### findSubtype

          public static TypeDescription findSubtype(TypeDescription schema,
                                                    ParserUtils.StringPosition source,
                                                    boolean isSchemaEvolutionCaseAware)

    - #### findSubtypeList

          public static List<TypeDescription> findSubtypeList(TypeDescription schema,
                                                              ParserUtils.StringPosition source)

    - #### parseKeys

          public static void parseKeys(ParserUtils.StringPosition source,
                                       TypeDescription schema)

      Annotate the given schema with the encryption information. Format of the string is a key-list.
      - key-list = key (';' key-list)?
      - key = key-name ':' field-list
      - field-list = field-name ( ',' field-list )?
      - field-name = number | field-part ('.' field-name)?
      - field-part = quoted string | simple name
      Parameters:
        `source` - the string to parse
        `schema` - the top level schema
      Throws:
        `IllegalArgumentException` - if there are conflicting keys for a field

    - #### parseMasks

          public static void parseMasks(ParserUtils.StringPosition source,
                                        TypeDescription schema)

      Annotate the given schema with the masking information. Format of the string is a mask-list.
      - mask-list = mask (';' mask-list)?
      - mask = mask-name (',' parameter)* ':' field-list
      - field-list = field-name ( ',' field-list )?
      - field-name = number | field-part ('.' field-name)?
      - field-part = quoted string | simple name
      Parameters:
        `source` - the string to parse
        `schema` - the top level schema
      Throws:
        `IllegalArgumentException` - if there are conflicting masks for a field

    - #### buildMaskDescription

          public static MaskDescriptionImpl buildMaskDescription(String value)

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.